<?php namespace Terrostar\TableBlockExtension;

use Anomaly\Streams\Platform\Addon\AddonServiceProvider;
use Anomaly\Streams\Platform\Model\TableBlock\TableBlockBlocksEntryModel;
use Anomaly\Streams\Platform\Model\TableBlock\TableBlockTableColumnsEntryModel;
use Terrostar\TableBlockExtension\Block\BlockModel;
use Terrostar\TableBlockExtension\Block\BlockRepository;
use Terrostar\TableBlockExtension\Block\Contract\BlockRepositoryInterface;
use Terrostar\TableBlockExtension\TableColumn\Contract\TableColumnRepositoryInterface;
use Terrostar\TableBlockExtension\TableColumn\TableColumnModel;
use Terrostar\TableBlockExtension\TableColumn\TableColumnRepository;

class TableBlockExtensionServiceProvider extends AddonServiceProvider
{

    /**
     * The addon class bindings.
     *
     * @type array|null
     */
    protected $bindings = [
        TableBlockBlocksEntryModel::class       => BlockModel::class,
        TableBlockTableColumnsEntryModel::class => TableColumnModel::class,
    ];

}
