<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionTableBlockCreateTableBlockFields extends Migration
{

    /**
     * The addon fields.
     *
     * @var array
     */
    protected $fields = [
        'rows'    => [
            'en'   => [
                'name' => 'Rows',
            ],
            'type' => 'emange.field_type.list',
        ],
        'columns' => [
            'en'     => [
                'name' => 'Columns',
            ],
            'type'   => 'anomaly.field_type.repeater',
            'config' => [
                'add_row' => 'Add Column',
                'related' => 'table_block.table_columns',
            ],
        ],
    ];

}
